Subject: [Dime] Result-Code or Experimental-Result-Code?

From: "Glen Zorn" <[email-masked]>
Date: Fri, 27 Feb 2009 12:32:54 +0700

I'm busily working on the Explicit Routing draft, which now uses
vendor-specific AVPs to carry the discovered route.  There are several error
conditions that may occur that only occur as a result of the explicit
routing process, however, and need to be returned in the associated answer
message.  Reading section 7.2ff of RFC 3588, it's not really clear if I
should allocate new Result-Code values for the errors or if they should be
returned in an Experimental-Result AVP.  Any suggestions?

~gwz

Play assigns meaning to human activity--work erases it.
  -- P.L. Wilson

---

From: Tina TSOU <[email-masked]>
Date: Fri, 27 Feb 2009 14:08:43 +0800

Hi Glen,
> The allocated AVP codes are maintained as a list. Based on this  
> 35000 to 35100 range can be used for the I-D.
> The allocated experimental result codes are not maintained in any  
> such list, So I suggest in each error class, we can use result codes  
> which are offset to the base by 500 (2501, 5501 etc.), if later we  
> find any clash, we will update these numbers in the I-D.

B. R.
Tina
http://tinatsou.weebly.com/contact.html

On Feb 27, 2009, at 1:32 PM, Glen Zorn wrote:

> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime

---

From: "Glen Zorn" <[email-masked]>
Date: Fri, 27 Feb 2009 13:14:37 +0700

Tina TSOU  <mailto:[mailto:[email-masked]]> [mailto:[email-masked]]
writes:
Hi Glen,

The allocated AVP codes are maintained as a list. Based on this 35000 to
35100 range can be used for the I-D.

The allocated experimental result codes are not maintained in any such list,
So I suggest in each error class, hich are offset to the base by 500 (2501,
5501 etc.), if later we find any clash, we will update these numbers in the
I-D.

Sorry, I see now that my original message was a model of murkiness ;-(.  The
real question was whether to use the Result-Code AVP or a vendor-specific
value in the Experimental-Result AVP.

.

---

From: Fortune HUANG <[email-masked]>
Date: Fri, 27 Feb 2009 18:07:46 +0800

Hi Glen,
 
Let me try to answer your question with the example of the STA message defined in 3GPP Rx interface.
 
<ST‑Answer>  ::= < Diameter Header: 275, PXY >

                < Session‑Id >

                { Origin‑Host }

                { Origin‑Realm }

                [ Result‑Code ]

                [ Experimental‑Result ]

                ...

You can see both the Result-Code and Experimental-Result AVPs are included in this message.

The usage of these two AVP for the sender of the STA message should be like the following:

1) If the result can be precisely matched to any of the codes managed by the IANA for the Result-Code AVP,

We should not include the Experimental-Result AVP in this message.

2) Or else, vendors can use the Experimental-Result in order to carry a precise result. For this case, we can also include the Result-Code AVP with a not-so-precise but general result.(For a vendor like 3GPP, the vendor specific result code will also be strictly managed by the standard body. )

For the receiver, once the Experimetal-Result AVP is included in the message, it will always imply that this Experimetal-Result AVP will be more precise. 

Best Regards,

Fortune

  _____  

发件人: [email-masked] [mailto:[email-masked]] 代表 Glen Zorn
发送时间: 2009年2月27日 14:15
收件人: 'Tina TSOU'
抄送: [email-masked]
主题: Re: [Dime] Result-Code or Experimental-Result-Code?

Tina TSOU  <mailto:[mailto:[email-masked]]> [mailto:[email-masked]] writes:
Hi Glen,

The allocated AVP codes are maintained as a list. Based on this 35000 to 35100 range can be used for the I-D.

The allocated experimental result codes are not maintained in any such list, So I suggest in each error class, hich are offset to the base by 500 (2501, 5501 etc.), if later we find any clash, we will update these numbers in the I-D.

Sorry, I see now that my original message was a model of murkiness ;-(.  The real question was whether to use the Result-Code AVP or a vendor-specific value in the Experimental-Result AVP.

…